# glance-status

## Glance Status Utility

Author:

  OpenStack Glance Project Team

Contact:

  glance@lists.launchpad.net

Date:

  2025-04-02

Copyright:

  OpenStack Foundation

Version:

  30.0.0

Manual section:

  1

Manual group:

  cloud computing

### SYNOPSIS

    glance-status [options]

### DESCRIPTION

`glance-status` is a command line utility to aid operators in upgrading glance by running programmable checks for things that might prevent upgrades.

### COMMANDS

`upgrade`

  This is the prefix for checking the glance deployment for any upgrade issues that might prevent glance from upgrading.

You can also run with a category argument such as `upgrade` to see a list of all commands in that category:

    glance-status upgrade

These sections describe the available categories and arguments for glance-status.

#### Categories and commands

`glance-status upgrade check`

  Performs a release-specific readiness check before restarting services with new code, or upgrading. This command expects to have complete configuration and access to the database.

  Return Codes

  Return code | Description
  --- | ---
  0 | All upgrade readiness checks passed successfully and there is nothing to do.
  1 | At least one check encountered an issue and requires further investigation. This is considered a warning but the upgrade may be OK.
  2 | There was an upgrade status check failure that needs to be investigated. This should be considered something that stops an upgrade.
  255 | An unexpected error occurred.

  History of Checks

  18.0.0 (Stein)

  - Placeholder to be filled in with checks as they are added in Stein.

### OPTIONS

General Options

`-h, --help`

  show this help message and exit

`--config-dir DIR`

  Path to a config directory to pull *.conf files from. This file set is sorted, so as to provide a predictable parse order if individual options are over-ridden. The set is parsed after the file(s) specified via previous –config-file, arguments hence over-ridden options in the directory take precedence.

`--config-file PATH`

  Path to a config file to use. Multiple config files can be specified, with values in later files taking precedence. Defaults to None.

### SEE ALSO

- OpenStack Glance

### BUGS

- Glance bugs are tracked in Launchpad so you can view current bugs at OpenStack Glance

this page last updated: 2026-04-16 16:57:26

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug